Index: Singular/Makefile.in
===================================================================
--- Singular/Makefile.in	(revision f92bdee0eda89ba53f448ef205522832941919d8)
+++ Singular/Makefile.in	(revision a5ee4208416ea7d11e8ca286f77d8d41523d37c9)
@@ -35,5 +35,5 @@
 @SET_MAKE@
 CC		= @CC@
-LD              = @LD@
+LD              = @LDSO@
 CXX		= @CXX@
 LEX		= sh flexer.sh
@@ -496,5 +496,5 @@
 	done
 	${INSTALL_PROGRAM} libparse ${RUN_SINGULARS} ${bindir}
-	${INSTALL_PROGRAM} ESingular TSingular ${DL_LIBS} ${bindir}
+	${INSTALL_PROGRAM} ESingular TSingular ${bindir}
 	${INSTALL_PROGRAM} surfex ${bindir}
 	chmod a+x ${SINGULAR}
Index: Singular/configure
===================================================================
--- Singular/configure	(revision f92bdee0eda89ba53f448ef205522832941919d8)
+++ Singular/configure	(revision a5ee4208416ea7d11e8ca286f77d8d41523d37c9)
@@ -2132,7 +2132,7 @@
 	  	SLDFLAGS="-fPIC -DPIC -shared"
                 if test "${LD+set}" != set; then
-                  LD="${LD}"
+                  LDSO="${LD}"
                 else
-		  LD=gcc
+		  LDSO=gcc
                 fi
 		ac_lib_dl=yes
@@ -2192,7 +2192,7 @@
 	  	SLDFLAGS=-shared
                 if test "${LD+set}" != set; then
-                  LD="${LD}"
+                  LDSO="${LD}"
                 else
-		  LD=ld
+		  LDSO=ld
                 fi
 	        ac_lib_dl=yes
@@ -2204,7 +2204,7 @@
 	  SLDFLAGS="-w -no_unresolved -_SYSTYPE_SVR4 -n32 -shared"
           if test "${LD+set}" != set; then
-            LD="${LD}"
+            LDSO="${LD}"
           else
-	    LD=ld
+	    LDSO=ld
           fi
 	  ac_lib_dl=yes
@@ -2263,7 +2263,7 @@
 	  	SLDFLAGS=-shared
                 if test "${LD+set}" != set; then
-                  LD="${LD}"
+                  LDSO="${LD}"
                 else
-                  LD=$CC
+                  LDSO=$CC
                 fi
 	        ac_lib_dl=yes
@@ -2323,5 +2323,5 @@
 	  	SFLAGS="-fpic -DPIC"
 	  	SLDFLAGS="-dynamic -twolevel_namespace -weak_reference_mismatches weak -undefined dynamic_lookup"
-		LD=libtool
+		LDSO=libtool
 	        ac_lib_dl=yes
 	  fi
@@ -2379,5 +2379,5 @@
 	  	SFLAGS="-fpic -DPIC"
 	  	SLDFLAGS="-dynamic -twolevel_namespace -weak_reference_mismatches weak -undefined dynamic_lookup"
-		LD=libtool
+		LDSO=libtool
 	        ac_lib_dl=yes
 	  fi
@@ -2435,5 +2435,5 @@
 	  	SFLAGS="-fpic -DPIC"
 	  	SLDFLAGS=-shared
-		LD=ld
+		LDSO=ld
 	        ac_lib_dl=yes
 	  fi
@@ -5655,5 +5655,5 @@
 s%@SFLAGS@%$SFLAGS%g
 s%@SLDFLAGS@%$SLDFLAGS%g
-s%@LD@%$LD%g
+s%@LDSO@%$LDSO%g
 s%@ALLOCA@%$ALLOCA%g
 s%@CXXCPP@%$CXXCPP%g
Index: Singular/configure.in
===================================================================
--- Singular/configure.in	(revision f92bdee0eda89ba53f448ef205522832941919d8)
+++ Singular/configure.in	(revision a5ee4208416ea7d11e8ca286f77d8d41523d37c9)
@@ -411,7 +411,7 @@
 	  	SLDFLAGS="-fPIC -DPIC -shared"
                 if test "${LD+set}" != set; then
-                  LD="${LD}"
+                  LDSO="${LD}"
                 else
-		  LD=gcc
+		  LDSO=gcc
                 fi
 		ac_lib_dl=yes
@@ -425,7 +425,7 @@
 	  	SLDFLAGS=-shared
                 if test "${LD+set}" != set; then
-                  LD="${LD}"
+                  LDSO="${LD}"
                 else
-		  LD=ld
+		  LDSO=ld
                 fi
 	        ac_lib_dl=yes
@@ -437,7 +437,7 @@
 	  SLDFLAGS="-w -no_unresolved -_SYSTYPE_SVR4 -n32 -shared"
           if test "${LD+set}" != set; then
-            LD="${LD}"
+            LDSO="${LD}"
           else
-	    LD=ld
+	    LDSO=ld
           fi
 	  ac_lib_dl=yes
@@ -450,7 +450,7 @@
 	  	SLDFLAGS=-shared
                 if test "${LD+set}" != set; then
-                  LD="${LD}"
+                  LDSO="${LD}"
                 else
-                  LD=$CC
+                  LDSO=$CC
                 fi
 	        ac_lib_dl=yes
@@ -464,5 +464,5 @@
 	  	SFLAGS="-fpic -DPIC"
 	  	SLDFLAGS="-dynamic -twolevel_namespace -weak_reference_mismatches weak -undefined dynamic_lookup"
-		LD=libtool
+		LDSO=libtool
 	        ac_lib_dl=yes
 	  fi
@@ -474,5 +474,5 @@
 	  	SFLAGS="-fpic -DPIC"
 	  	SLDFLAGS="-dynamic -twolevel_namespace -weak_reference_mismatches weak -undefined dynamic_lookup"
-		LD=libtool
+		LDSO=libtool
 	        ac_lib_dl=yes
 	  fi
@@ -484,5 +484,5 @@
 	  	SFLAGS="-fpic -DPIC"
 	  	SLDFLAGS=-shared
-		LD=ld
+		LDSO=ld
 	        ac_lib_dl=yes
 	  fi
@@ -492,5 +492,5 @@
 AC_SUBST(SFLAGS)
 AC_SUBST(SLDFLAGS)
-AC_SUBST(LD)
+AC_SUBST(LDSO)
 LIBS=${SAVE_LIBS}
 
Index: kernel/Makefile.in
===================================================================
--- kernel/Makefile.in	(revision f92bdee0eda89ba53f448ef205522832941919d8)
+++ kernel/Makefile.in	(revision a5ee4208416ea7d11e8ca286f77d8d41523d37c9)
@@ -31,5 +31,5 @@
 @SET_MAKE@
 CC		= @CC@
-LD              = @LD@
+LD              = @LDSO@
 CXX		= @CXX@
 LEX		= @LEX@
